hmt-0.15: Haskell Music Theory

Safe Haskell | Safe
Language | Haskell98

Music.Theory.Block_Design.Johnson_2007

Contents

- Designs
- Johnson (7,3,1), (13,4,1) and (12,4,3)

Description

Tom Johnson. "Networks". In Conference on Mathematics and Computation in Music, Berlin, May 2007.

Synopsis

- data Design i = Design [i] [[i]]
- c_7_3_1 :: Num i => [i]
- b_7_3_1 :: (Ord i, Num i) => ([[i]], [[i]])
- d_7_3_1 :: (Enum n, Ord n, Num n) => (Design n, Design n)
- n_7_3_1 :: Num i => [(i, i)]
- p_9_3_1 :: Num i => [[i]]
- b_13_4_1 :: (Enum i, Num i, Ord i) => ([[i]], [[i]])
- d_13_4_1 :: (Enum n, Ord n, Num n) => (Design n, Design n)
- n_13_4_1 :: Num i => [(i, i)]
- b_12_4_3 :: Integral i => [[i]]
- n_12_4_3 :: Num i => [(i, i)]

# Designs

data Design i Source #

Constructors

Design [i] [[i]] |

# Johnson (7,3,1), (13,4,1) and (12,4,3)

c_7_3_1 :: Num i => [i] Source #

b_7_3_1 :: (Ord i, Num i) => ([[i]], [[i]]) Source #

d_7_3_1 :: (Enum n, Ord n, Num n) => (Design n, Design n) Source #

n_7_3_1 :: Num i => [(i, i)] Source #

p_9_3_1 :: Num i => [[i]] Source #

b_13_4_1 :: (Enum i, Num i, Ord i) => ([[i]], [[i]]) Source #

d_13_4_1 :: (Enum n, Ord n, Num n) => (Design n, Design n) Source #

n_13_4_1 :: Num i => [(i, i)] Source #

b_12_4_3 :: Integral i => [[i]] Source #

n_12_4_3 :: Num i => [(i, i)] Source #